.link {
  display: inline-flex;
  align-items: center;
  padding: 0;
  margin: 0;

  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
  font-weight: inherit;
  color: var(--link-color);

  background: none;
  border: none;
  box-shadow: none;
  outline: none;

  transition: color .3s var(--transition-easeOutQuad);

  .svg {
    transition: fill .3s var(--transition-easeOutQuad);
    fill: var(--link-color);
    &.svgArrowRight {
      margin-top: .125rem;
      margin-left: .375rem;
      width: auto;
      height: 0.5rem;
    }
  }

  &:after {
    border-left-color: var(--link-color);
  }

  &:hover {
    color: var(--link-hover-color);

    .svg {
      fill: var(--link-hover-color);
    }

    &:after {
      border-left-color: var(--link-hover-color);
    }
  }

  &:active, &:focus {
    color: var(--link-active-color);

    .svg {
      fill: var(--link-active-color);
    }

    &:after {
      border-left-color: var(--link-active-color);
    }
  }

  &._add-arrow {
    position: relative;
    padding-right: 0.625rem;

    &:after {
      content: '';
      position: absolute;
      right: 0;
      top: 50%;
      margin-top: -0.125rem;
      height: 0;
      width: 0;
      border: 0.1875rem solid transparent;
      border-left-color: inherit;
    }
  }

  &._inline {
    display: inline;
  }

  &-item {
    display: inline-flex;
  }
}

.linkDark {
  color: var(--color-main);

  .svg {
    fill: var(--color-main);
  }

  &:hover {
    color: var(--link-hover-color);
    .svg {
      fill: var(--link-hover-color);
    }
  }

  &:active, &:focus {
    color: var(--link-active-color);
    .svg {
      fill: var(--link-active-color);
    }
  }
}

.linkBlack {
  color: var(--color-main);

  &:hover, &:active, &:focus {
    color: var(--link-black-hover-color);
  }
}

.linkLight {
  color: var(--color-main-lightest);

  &:hover {
    color: var(--color-main-lighten);
  }

  &:active, &:focus {
    color: var(--color-main-light);
  }
}
